aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLusheng Ji <lji@research.att.com>2018-04-02 22:57:44 -0400
committerLusheng Ji <lji@research.att.com>2018-04-02 22:57:52 -0400
commit30a81ab039392ef36224ee64c7ead25e8e30dd9f (patch)
tree9d1b03ccf14e25f47f973480807800b70cdb9d9e
parent535e0dc1340ce57c0bfeed8d1ce530111cf41063 (diff)
Fix docker tag based in CIMAN-132
The new mvn-phase-lib.sh contains the fix for pushing docker tags according to CIMAN-132. This change makes sure that we are using the new mvn-phase-lib.sh for R2. Issue-ID: DCAEGEN2-206 Change-Id: Id36ae5ebecd936d188dee1af8c5fd5eb93a097b3 Signed-off-by: Lusheng Ji <lji@research.att.com>
-rwxr-xr-xmvn-phase-script.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
index 86c3554..ab9605c 100755
--- a/mvn-phase-script.sh
+++ b/mvn-phase-script.sh
@@ -37,10 +37,18 @@ if [ -z "$SETTINGS_FILE" ]; then
fi
set +e
+RELEASE_TAG=${MVN_RELEASE_TAG:-R2}
+if [ "$RELEASE_TAG" != "R1" ]; then
+ RELEASE_TAGGED_DIR="${RELEASE_TAG}/"
+else
+ RELEASE_TAGGED_DIR="releases"
+fi
if ! wget -O ${PROJECT_ROOT}/mvn-phase-lib.sh \
- "$MVN_RAWREPO_BASEURL_DOWNLOAD"/org.onap.dcaegen2.utils/releases/scripts/mvn-phase-lib.sh; then
- cp "${PROJECT_ROOT}"/scripts/mvn-phase-lib.sh "${PROJECT_ROOT}/mvn-phase-lib.sh"
+ "$MVN_RAWREPO_BASEURL_DOWNLOAD"/org.onap.dcaegen2.utils/${RELEASE_TAGGED_DIR}scripts/mvn-phase-lib.sh; then
+ echo "Fail to download mvn-phase-lib.sh"
+ exit 1
fi
+
source "${PROJECT_ROOT}"/mvn-phase-lib.sh